package com.docus.server.message.dto;

import lombok.Getter;
import lombok.Setter;

/**
 * @author wyb
 */
@Getter
@Setter
public class MessageResponse {
    /**
     * @see com.docus.infrastructure.web.api.ResultCode#SUCCESS
     * @see com.docus.infrastructure.web.api.ResultCode#FAILED
     */
    private Integer respCode;
    private String respMessage;
    /**
     * 是否需要重试 0：否 1 是
     */
    private int retry;

    public MessageResponse(Integer respCode, String respMessage) {
        this.respCode = respCode;
        this.respMessage = respMessage;
    }
}
