package com.docus.server.message.feign.service;

import com.docus.infrastructure.web.api.CommonResult;
import com.docus.server.message.feign.dto.CompensateTasRequest;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

/**
 * @author wyb
 */
@FeignClient(url = "${docus.url.compensate-task-url}",name = "view-collect-task")
public interface CollectTaskService {

    /**
     *无视图采集,采集任务补偿
     * @param dto 参数
     * @return 结果
     */
    @RequestMapping(value = "api/NoViewCollect/compensateTask",method = RequestMethod.POST)
    CommonResult<String> compensateTask(@RequestBody CompensateTasRequest dto);
}
