package com.docus.server.message.service.impl;

import com.docus.server.message.consts.HospitalWsMethod;
import com.docus.server.message.service.SdWebServiceUnifyMessageService;
import com.docus.server.message.service.UnifyMessageService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 一般统一使用UnifyMessageService即可，因为文档已经先给了第三方，所以在这里开发
 * @author WYBDEV
 */
@Service(HospitalWsMethod.WS_RECORD_SUBMIT)
public class SdWebServiceUnifyMessageServiceImpl implements SdWebServiceUnifyMessageService {

    private UnifyMessageService unifyMessageService;

    @Autowired
    public void setUnifyMessageService(UnifyMessageService unifyMessageService) {
        this.unifyMessageService = unifyMessageService;
    }

    @Override
    public String pushInformation(String message) {
        return unifyMessageService.pushInformation(HospitalWsMethod.WS_RECORD_SUBMIT,message);
    }
}
