USE `docus_medicalrecord`;
CREATE TABLE `unify_message` (
                                 `id` bigint(20) NOT NULL COMMENT '主键',
                                 `message` longtext COMMENT '接收到的消息',
                                 `method` varchar(255) DEFAULT NULL COMMENT '转发方法',
                                 `create_time` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '消息接收时间',
                                 `state` int(1) DEFAULT NULL COMMENT '状态 0:失败 1：成功',
                                 PRIMARY KEY (`id`),
                                 KEY `idx_unify_message_create_time` (`create_time`) USING BTREE,
                                 KEY `idx_unify_message_method` (`method`) USING BTREE,
                                 KEY `idx_unify_message_state` (`state`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;