package com.docus.server.message.controller;

import com.docus.server.message.mapper.SdRyIcuMapper;
import com.docus.server.message.mapper.TBasicMapper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.HashMap;

/**
 * @author WYBDEV
 */
@Api("多数据源测试")
@RestController
@Slf4j
@RequestMapping("/dynamic/test")
public class DynamicDatasourceTestController {
    @Autowired
    TBasicMapper tBasicMapper;
    @Autowired
    SdRyIcuMapper sdRyIcuMapper;


    @ApiOperation("根据病案主键")
    @GetMapping("/getPatient")
    public Object getPatient(@RequestParam("patientId") String patientId,@RequestParam("db")String db){
        HashMap<String, Object> stringObjectHashMap = new HashMap<>();

        stringObjectHashMap.put(sdRyIcuMapper.getClass().getName(), sdRyIcuMapper.getById(patientId));
        stringObjectHashMap.put( tBasicMapper.getClass().getName(),tBasicMapper.getDischargeCount(patientId));
        return stringObjectHashMap;
    }

}
