package com.docus.server.message.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "消息对象", description = "消息对象")
public class UnifyMessage implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id 主键")
    @TableId(value = "id")
    private Long id;

    @ApiModelProperty(value = "接收到的消息")
    @TableField(value = "message")
    private String message;

    @ApiModelProperty(value = "转发方法")
    @TableField(value = "method")
    private String method;

    @ApiModelProperty(value = "消息接收时间")
    @TableField(value = "create_time")
    private Date createTime;

    @ApiModelProperty(value = "状态 0:失败 1：成功")
    @TableField(value = "state")
    private Integer state;

}
